> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Password Reset Token

> Validates a reset/activation token; for expired onboarding tokens it marks the token and resends the activation email.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /platform/check-password-reset-token
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/check-password-reset-token:
    post:
      operationId: checkPasswordResetToken
      summary: Check Password Reset Token
      description: >-
        Validates a reset/activation token; for expired onboarding tokens it
        marks the token and resends the activation email.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckPasswordResetTokenRequest'
      security: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckPasswordResetTokenResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CheckPasswordResetTokenRequest:
      type: object
      properties:
        passwordResetToken:
          type: string
          maxLength: 512
        onboarding:
          type: boolean
        sendOneTimeActivationLink:
          type: boolean
    CheckPasswordResetTokenResponse:
      type: object
      properties:
        isValid:
          type: boolean
        message:
          type: string
        isNewEmailSent:
          type: boolean
        oneTimeActivationLinkSent:
          type: boolean
      required:
        - isValid
        - message
        - isNewEmailSent
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
